| libvkdaq VKINGING DAQ Library API Reference |

Loading...
Searching...
No Matches
Functions
Create ForceFullBridge channel
libvkdaq Function interface » Channel configuration

## Functions
int32_t | VkDagCreateAlForceFullBridgeChan (const char *task, const char *chans, const char *reserved1, int32_t termina1Config, double minVa1, double maxVa1，double sensitivity, double voltageExcitVa1, double maxForceRange, double offset, const char *reserved2)
| Create ForceFullBridge channel.

## Detailed Description

## Function Documentation

## ◆ VkDagCreateAlForceFullBridgeChan()

int32_t VkDagCreateAlForceFullBridgeChan | ( | const char * | task,
|  | const char * | chans,
|  | const char * | reserved1,
|  | int32_t | termina1Config,
|  | double | minVa1,
|  | double maxVa1，double | sensitivity,
|  | double | voltageExcitVa1,
|  | double | maxForceRange,
|  | double | offset,
|  | const char * | reserved2
| ) |  |

Create ForceFullBridge channel.

data type | parameter | describe
--- | --- | ---
`const char*` | `task` | Task name.
`const char*` | `chans` | Channel list, Use commas to separate multiple channels or use colons to specify multiple channels in a row., such as "dev1/MIN1,dev1/MIN2", "dev1/MIN1:2", etc.
`const char*` | `reserved1` | Reserved.
`int32_t` | `termina1Config` | Terminal configuration, fixed at 0, differential voltage.
`double` | `minVa1` | Expected minimum measurement value.
`double` | `maxVal` | Expected maximum measurement value.
`double` | `sensitivity` | Sensitivity coefficient, unit: mV/V.
`double` | `voltageExcitVa1` | Excitation voltage, unit V.
`double` | `maxForceRange` | Measure force range, (in newtons, grams, pounds, etc.)
`double` | `offset` | Offset.
`const char*` | `reserved2` | Reserved.

Returns
  On success, return value >= 0.
  On failure, returns a negative error number.For detail, please Call VkDaqGetLastErrorInfo

C language reference
#include <stdio.h>
#include "libvkdaq.h"
int main(int argc, char* argv[])
{
const char* task = "task1";
int32_t termina1Config = 0;
double minVal = 0;
double maxVal = 30;
double sensitivity = 0.3;
double voltageExcitVa1 = 5;
double maxForceRange = 30;
double offset = 0;
int32_t result = VkDaqCreateTask(task);
result = VkDagCreateAlForceFullBridgeChan(task, "dev1/AIN1", "", termina1Config, minVal, maxVal, sensitivity, voltageExcitVa1,maxForceRange, offset, "");
if (result >= 0) {
printf("Successful\n");
}
else {
printf("Failed\n");
}
return 0;
}
VkDagCreateAlForceFullBridgeChan
int32_t VkDagCreateAlForceFullBridgeChan(const char *task, const char *chans, const char *reserved1, int32_t termina1Config, double minVa1, double maxVa1，double sensitivity, double voltageExcitVa1, double maxForceRange, double offset, const char *reserved2)
Create ForceFullBridge channel.
VkDaqCreateTask
int32_t VkDaqCreateTask(const char *task)
Create task.

Sensor parameter reference
Sensor parameters used in the routine, model: Vs-30g